
//
//  Fmd.cpp - (Scalar) Multiplication & Division
//
//  This document contains file that you may use at your own risk in your own programs.
//
//  This module is designed to work with the exercises for this book.
//
//  Created - 3 Oct 2001 - James Leiterman
//
//  Last Modification
//
//  stab=4
//


#include "KariType.h"                                   // Master Definitions

    //  3rd Party Libraries
    
#include    <assert.h>
#include    <iostream.h>
#include    <math.h>

    //  Book Development Library Modules

#include    "vmp3D.h"
#include    "vmp3DEx.h"
#include    "Fmd.h"                                     // (float) Math
#include    "FmdEx.h"



vmp_FMulProc                vmp_FMul;
vmp_FDivProc                vmp_FDiv;
vmp_FDivProc                vmp_FDivFast;



//
//  Multiplication
//

void vmp_FMulGeneric( float * const pfD, float fA, float fB )
{
    ASSERT_PTR4(pfD);

    *pfD = fA * fB;
}



//
//  Division
//

void vmp_FDivGeneric( float * const pfD, float fA, float fB )
{
    ASSERT_PTR4(pfD);
    ASSERT_FZERO(fB);

    *pfD = fA / fB;
}






